Package ru.bitel.bgbilling.modules.softline.common.bean

# Enum SubscriptionPeriodType

java.lang.Object
java.lang.Enum<SubscriptionPeriodType>
ru.bitel.bgbilling.modules.softline.common.bean.SubscriptionPeriodType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<SubscriptionPeriodType>`, `java.lang.constant.Constable`, `GuiTitlable`

    public enum SubscriptionPeriodType
    extends java.lang.Enum<SubscriptionPeriodType>
    implements GuiTitlable

Описание типов сроков подписок

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `DAY` |
  `MONTH` |
  `YEAR` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getCode()` |
  `java.lang.String` | `getDescription()` |
  `static java.lang.String` | `getDescription​(int code)` |
  `java.lang.String` | `getGuiTitle()` | Строка - имя объекта.
  `static SubscriptionPeriodType` | `valueOf​(int code)` | Returns the enum constant of this type with the specified name.
  `static SubscriptionPeriodType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static SubscriptionPeriodType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DAY

    public static final SubscriptionPeriodType DAY

  - ### MONTH

    public static final SubscriptionPeriodType MONTH

  - ### YEAR

    public static final SubscriptionPeriodType YEAR

- ## Method Details

  - ### values

    public static SubscriptionPeriodType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static SubscriptionPeriodType valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### getCode

    public int getCode()

  - ### getDescription

    public java.lang.String getDescription()

  - ### getDescription

    public static java.lang.String getDescription​(int code)

  - ### valueOf

    public static SubscriptionPeriodType valueOf​(int code)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `code` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### getGuiTitle

    public java.lang.String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.